org.jboss.jca.embedded.dsl.datasources13.api

## Interface DatasourceType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface DatasourceType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `datasourceType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConnectionPropertyType<DatasourceType<T>>` | `createConnection` Creates a new `connection-property` element
    `DatasourceType<T>` | `removeAllConnection` Removes all `connection-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatasourceType<T>` | `connectable(java.lang.Boolean connectable)` Sets the `connectable` attribute
    `DatasourceType<T>` | `connectionUrl(java.lang.String connectionUrl)` Sets the `connection-url` element
    `ConnectionPropertyType<DatasourceType<T>>` | `createConnectionProperty()` Creates a new `connection-property` element
    `DatasourceType<T>` | `datasourceClass(java.lang.String datasourceClass)` Sets the `datasource-class` element
    `DatasourceType<T>` | `driver(java.lang.String driver)` Sets the `driver` element
    `DatasourceType<T>` | `driverClass(java.lang.String driverClass)` Sets the `driver-class` element
    `DatasourceType<T>` | `enabled(java.lang.Boolean enabled)` Sets the `enabled` attribute
    `java.util.List<ConnectionPropertyType<DatasourceType<T>>>` | `getAllConnectionProperty()` Returns all `connection-property` elements
    `java.lang.String` | `getConnectionUrl()` Returns the `connection-url` element
    `java.lang.String` | `getDatasourceClass()` Returns the `datasource-class` element
    `java.lang.String` | `getDriver()` Returns the `driver` element
    `java.lang.String` | `getDriverClass()` Returns the `driver-class` element
    `java.lang.String` | `getJndiName()` Returns the `jndi-name` attribute
    `java.lang.String` | `getNewConnectionSql()` Returns the `new-connection-sql` element
    `ConnectionPropertyType<DatasourceType<T>>` | `getOrCreateConnectionProperty()` If not already created, a new `connection-property` element will be created and returned.
    `PoolType<DatasourceType<T>>` | `getOrCreatePool()` If not already created, a new `pool` element with the given value will be created.
    `DsSecurityType<DatasourceType<T>>` | `getOrCreateSecurity()` If not already created, a new `security` element with the given value will be created.
    `StatementType<DatasourceType<T>>` | `getOrCreateStatement()` If not already created, a new `statement` element with the given value will be created.
    `TimeoutType<DatasourceType<T>>` | `getOrCreateTimeout()` If not already created, a new `timeout` element with the given value will be created.
    `ValidationType<DatasourceType<T>>` | `getOrCreateValidation()` If not already created, a new `validation` element with the given value will be created.
    `java.lang.String` | `getPoolName()` Returns the `pool-name` attribute
    `TransactionIsolationType` | `getTransactionIsolation()` Returns the `transaction-isolation` element
    `java.lang.String` | `getTransactionIsolationAsString()` Returns the `transaction-isolation` element
    `java.lang.String` | `getUrlDelimiter()` Returns the `url-delimiter` element
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Returns the `url-selector-strategy-class-name` element
    `java.lang.Boolean` | `isConnectable()` Returns the `connectable` attribute
    `java.lang.Boolean` | `isEnabled()` Returns the `enabled` attribute
    `java.lang.Boolean` | `isJta()` Returns the `jta` attribute
    `java.lang.Boolean` | `isSpy()` Returns the `spy` attribute
    `java.lang.Boolean` | `isTracking()` Returns the `tracking` attribute
    `java.lang.Boolean` | `isUseCcm()` Returns the `use-ccm` attribute
    `java.lang.Boolean` | `isUseJavaContext()` Returns the `use-java-context` attribute
    `DatasourceType<T>` | `jndiName(java.lang.String jndiName)` Sets the `jndi-name` attribute
    `DatasourceType<T>` | `jta(java.lang.Boolean jta)` Sets the `jta` attribute
    `DatasourceType<T>` | `newConnectionSql(java.lang.String newConnectionSql)` Sets the `new-connection-sql` element
    `DatasourceType<T>` | `poolName(java.lang.String poolName)` Sets the `pool-name` attribute
    `DatasourceType<T>` | `removeAllConnectionProperty()` Removes all `connection-property` elements
    `DatasourceType<T>` | `removeConnectable()` Removes the `connectable` attribute
    `DatasourceType<T>` | `removeConnectionUrl()` Removes the `connection-url` element
    `DatasourceType<T>` | `removeDatasourceClass()` Removes the `datasource-class` element
    `DatasourceType<T>` | `removeDriver()` Removes the `driver` element
    `DatasourceType<T>` | `removeDriverClass()` Removes the `driver-class` element
    `DatasourceType<T>` | `removeEnabled()` Removes the `enabled` attribute
    `DatasourceType<T>` | `removeJndiName()` Removes the `jndi-name` attribute
    `DatasourceType<T>` | `removeJta()` Removes the `jta` attribute
    `DatasourceType<T>` | `removeNewConnectionSql()` Removes the `new-connection-sql` element
    `DatasourceType<T>` | `removePool()` Removes the `pool` element
    `DatasourceType<T>` | `removePoolName()` Removes the `pool-name` attribute
    `DatasourceType<T>` | `removeSecurity()` Removes the `security` element
    `DatasourceType<T>` | `removeSpy()` Removes the `spy` attribute
    `DatasourceType<T>` | `removeStatement()` Removes the `statement` element
    `DatasourceType<T>` | `removeTimeout()` Removes the `timeout` element
    `DatasourceType<T>` | `removeTracking()` Removes the `tracking` attribute
    `DatasourceType<T>` | `removeTransactionIsolation()` Removes the `transaction-isolation` attribute
    `DatasourceType<T>` | `removeUrlDelimiter()` Removes the `url-delimiter` element
    `DatasourceType<T>` | `removeUrlSelectorStrategyClassName()` Removes the `url-selector-strategy-class-name` element
    `DatasourceType<T>` | `removeUseCcm()` Removes the `use-ccm` attribute
    `DatasourceType<T>` | `removeUseJavaContext()` Removes the `use-java-context` attribute
    `DatasourceType<T>` | `removeValidation()` Removes the `validation` element
    `DatasourceType<T>` | `spy(java.lang.Boolean spy)` Sets the `spy` attribute
    `DatasourceType<T>` | `tracking(java.lang.Boolean tracking)` Sets the `tracking` attribute
    `DatasourceType<T>` | `transactionIsolation(java.lang.String transactionIsolation)` Sets the `transaction-isolation` element
    `DatasourceType<T>` | `transactionIsolation(TransactionIsolationType transactionIsolation)` Sets the `transaction-isolation` element
    `DatasourceType<T>` | `urlDelimiter(java.lang.String urlDelimiter)` Sets the `url-delimiter` element
    `DatasourceType<T>` | `urlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)` Sets the `url-selector-strategy-class-name` element
    `DatasourceType<T>` | `useCcm(java.lang.Boolean useCcm)` Sets the `use-ccm` attribute
    `DatasourceType<T>` | `useJavaContext(java.lang.Boolean useJavaContext)` Sets the `use-java-context` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createConnection

          ConnectionPropertyType<DatasourceType<T>> createConnectionProperty

      Creates a new `connection-property` element

    - #### removeAllConnection

          DatasourceType<T> removeAllConnectionProperty

      Removes all `connection-property` elements

  - ### Method Detail

    - #### jndiName

          DatasourceType<T> jndiName(java.lang.String jndiName)

      Sets the `jndi-name` attribute
      Parameters:
        `jndiName` - the value for the attribute `jndi-name`
      Returns:
        the current instance of `DatasourceType`

    - #### getJndiName

          java.lang.String getJndiName()

      Returns the `jndi-name` attribute
      Returns:
        the value defined for the attribute `jndi-name`

    - #### removeJndiName

          DatasourceType<T> removeJndiName()

      Removes the `jndi-name` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### poolName

          DatasourceType<T> poolName(java.lang.String poolName)

      Sets the `pool-name` attribute
      Parameters:
        `poolName` - the value for the attribute `pool-name`
      Returns:
        the current instance of `DatasourceType`

    - #### getPoolName

          java.lang.String getPoolName()

      Returns the `pool-name` attribute
      Returns:
        the value defined for the attribute `pool-name`

    - #### removePoolName

          DatasourceType<T> removePoolName()

      Removes the `pool-name` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### enabled

          DatasourceType<T> enabled(java.lang.Boolean enabled)

      Sets the `enabled` attribute
      Parameters:
        `enabled` - the value for the attribute `enabled`
      Returns:
        the current instance of `DatasourceType`

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Returns the `enabled` attribute
      Returns:
        the value defined for the attribute `enabled`

    - #### removeEnabled

          DatasourceType<T> removeEnabled()

      Removes the `enabled` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### useJavaContext

          DatasourceType<T> useJavaContext(java.lang.Boolean useJavaContext)

      Sets the `use-java-context` attribute
      Parameters:
        `useJavaContext` - the value for the attribute `use-java-context`
      Returns:
        the current instance of `DatasourceType`

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Returns the `use-java-context` attribute
      Returns:
        the value defined for the attribute `use-java-context`

    - #### removeUseJavaContext

          DatasourceType<T> removeUseJavaContext()

      Removes the `use-java-context` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### spy

          DatasourceType<T> spy(java.lang.Boolean spy)

      Sets the `spy` attribute
      Parameters:
        `spy` - the value for the attribute `spy`
      Returns:
        the current instance of `DatasourceType`

    - #### isSpy

          java.lang.Boolean isSpy()

      Returns the `spy` attribute
      Returns:
        the value defined for the attribute `spy`

    - #### removeSpy

          DatasourceType<T> removeSpy()

      Removes the `spy` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### useCcm

          DatasourceType<T> useCcm(java.lang.Boolean useCcm)

      Sets the `use-ccm` attribute
      Parameters:
        `useCcm` - the value for the attribute `use-ccm`
      Returns:
        the current instance of `DatasourceType`

    - #### isUseCcm

          java.lang.Boolean isUseCcm()

      Returns the `use-ccm` attribute
      Returns:
        the value defined for the attribute `use-ccm`

    - #### removeUseCcm

          DatasourceType<T> removeUseCcm()

      Removes the `use-ccm` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### connectable

          DatasourceType<T> connectable(java.lang.Boolean connectable)

      Sets the `connectable` attribute
      Parameters:
        `connectable` - the value for the attribute `connectable`
      Returns:
        the current instance of `DatasourceType`

    - #### isConnectable

          java.lang.Boolean isConnectable()

      Returns the `connectable` attribute
      Returns:
        the value defined for the attribute `connectable`

    - #### removeConnectable

          DatasourceType<T> removeConnectable()

      Removes the `connectable` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### tracking

          DatasourceType<T> tracking(java.lang.Boolean tracking)

      Sets the `tracking` attribute
      Parameters:
        `tracking` - the value for the attribute `tracking`
      Returns:
        the current instance of `DatasourceType`

    - #### isTracking

          java.lang.Boolean isTracking()

      Returns the `tracking` attribute
      Returns:
        the value defined for the attribute `tracking`

    - #### removeTracking

          DatasourceType<T> removeTracking()

      Removes the `tracking` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### connectionUrl

          DatasourceType<T> connectionUrl(java.lang.String connectionUrl)

      Sets the `connection-url` element
      Parameters:
        `connectionUrl` - the value for the element `connection-url`
      Returns:
        the current instance of `DatasourceType`

    - #### getConnectionUrl

          java.lang.String getConnectionUrl()

      Returns the `connection-url` element
      Returns:
        the node defined for the element `connection-url`

    - #### removeConnectionUrl

          DatasourceType<T> removeConnectionUrl()

      Removes the `connection-url` element
      Returns:
        the current instance of `DatasourceType`

    - #### driverClass

          DatasourceType<T> driverClass(java.lang.String driverClass)

      Sets the `driver-class` element
      Parameters:
        `driverClass` - the value for the element `driver-class`
      Returns:
        the current instance of `DatasourceType`

    - #### getDriverClass

          java.lang.String getDriverClass()

      Returns the `driver-class` element
      Returns:
        the node defined for the element `driver-class`

    - #### removeDriverClass

          DatasourceType<T> removeDriverClass()

      Removes the `driver-class` element
      Returns:
        the current instance of `DatasourceType`

    - #### datasourceClass

          DatasourceType<T> datasourceClass(java.lang.String datasourceClass)

      Sets the `datasource-class` element
      Parameters:
        `datasourceClass` - the value for the element `datasource-class`
      Returns:
        the current instance of `DatasourceType`

    - #### getDatasourceClass

          java.lang.String getDatasourceClass()

      Returns the `datasource-class` element
      Returns:
        the node defined for the element `datasource-class`

    - #### removeDatasourceClass

          DatasourceType<T> removeDatasourceClass()

      Removes the `datasource-class` element
      Returns:
        the current instance of `DatasourceType`

    - #### driver

          DatasourceType<T> driver(java.lang.String driver)

      Sets the `driver` element
      Parameters:
        `driver` - the value for the element `driver`
      Returns:
        the current instance of `DatasourceType`

    - #### getDriver

          java.lang.String getDriver()

      Returns the `driver` element
      Returns:
        the node defined for the element `driver`

    - #### removeDriver

          DatasourceType<T> removeDriver()

      Removes the `driver` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateConnectionProperty

          ConnectionPropertyType<DatasourceType<T>> getOrCreateConnectionProperty()

      If not already created, a new `connection-property` element will be created and returned. Otherwise, the first existing `connection-property` element will be returned.
      Returns:
        the instance defined for the element `connection-property`

    - #### createConnectionProperty

          ConnectionPropertyType<DatasourceType<T>> createConnectionProperty()

      Creates a new `connection-property` element

    - #### getAllConnectionProperty

          java.util.List<ConnectionPropertyType<DatasourceType<T>>> getAllConnectionProperty()

      Returns all `connection-property` elements
      Returns:
        list of `connection-property`

    - #### removeAllConnectionProperty

          DatasourceType<T> removeAllConnectionProperty()

      Removes all `connection-property` elements

    - #### newConnectionSql

          DatasourceType<T> newConnectionSql(java.lang.String newConnectionSql)

      Sets the `new-connection-sql` element
      Parameters:
        `newConnectionSql` - the value for the element `new-connection-sql`
      Returns:
        the current instance of `DatasourceType`

    - #### getNewConnectionSql

          java.lang.String getNewConnectionSql()

      Returns the `new-connection-sql` element
      Returns:
        the node defined for the element `new-connection-sql`

    - #### removeNewConnectionSql

          DatasourceType<T> removeNewConnectionSql()

      Removes the `new-connection-sql` element
      Returns:
        the current instance of `DatasourceType`

    - #### transactionIsolation

          DatasourceType<T> transactionIsolation(TransactionIsolationType transactionIsolation)

      Sets the `transaction-isolation` element
      Parameters:
        `transactionIsolation` - the value for the element `transaction-isolation`
      Returns:
        the current instance of `DatasourceType`

    - #### transactionIsolation

          DatasourceType<T> transactionIsolation(java.lang.String transactionIsolation)

      Sets the `transaction-isolation` element
      Parameters:
        `transactionIsolation` - the value for the element `transaction-isolation`
      Returns:
        the current instance of `DatasourceType`

    - #### getTransactionIsolation

          TransactionIsolationType getTransactionIsolation()

      Returns the `transaction-isolation` element
      Returns:
        the value found for the element `transaction-isolation`

    - #### getTransactionIsolationAsString

          java.lang.String getTransactionIsolationAsString()

      Returns the `transaction-isolation` element
      Returns:
        the value found for the element `transaction-isolation`

    - #### removeTransactionIsolation

          DatasourceType<T> removeTransactionIsolation()

      Removes the `transaction-isolation` attribute
      Returns:
        the current instance of `DatasourceType`

    - #### urlDelimiter

          DatasourceType<T> urlDelimiter(java.lang.String urlDelimiter)

      Sets the `url-delimiter` element
      Parameters:
        `urlDelimiter` - the value for the element `url-delimiter`
      Returns:
        the current instance of `DatasourceType`

    - #### getUrlDelimiter

          java.lang.String getUrlDelimiter()

      Returns the `url-delimiter` element
      Returns:
        the node defined for the element `url-delimiter`

    - #### removeUrlDelimiter

          DatasourceType<T> removeUrlDelimiter()

      Removes the `url-delimiter` element
      Returns:
        the current instance of `DatasourceType`

    - #### urlSelectorStrategyClassName

          DatasourceType<T> urlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)

      Sets the `url-selector-strategy-class-name` element
      Parameters:
        `urlSelectorStrategyClassName` - the value for the element `url-selector-strategy-class-name`
      Returns:
        the current instance of `DatasourceType`

    - #### getUrlSelectorStrategyClassName

          java.lang.String getUrlSelectorStrategyClassName()

      Returns the `url-selector-strategy-class-name` element
      Returns:
        the node defined for the element `url-selector-strategy-class-name`

    - #### removeUrlSelectorStrategyClassName

          DatasourceType<T> removeUrlSelectorStrategyClassName()

      Removes the `url-selector-strategy-class-name` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreatePool

          PoolType<DatasourceType<T>> getOrCreatePool()

      If not already created, a new `pool` element with the given value will be created. Otherwise, the existing `pool` element will be returned.
      Returns:
        a new or existing instance of `PoolType>`

    - #### removePool

          DatasourceType<T> removePool()

      Removes the `pool` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateSecurity

          DsSecurityType<DatasourceType<T>> getOrCreateSecurity()

      If not already created, a new `security` element with the given value will be created. Otherwise, the existing `security` element will be returned.
      Returns:
        a new or existing instance of `DsSecurityType>`

    - #### removeSecurity

          DatasourceType<T> removeSecurity()

      Removes the `security` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateValidation

          ValidationType<DatasourceType<T>> getOrCreateValidation()

      If not already created, a new `validation` element with the given value will be created. Otherwise, the existing `validation` element will be returned.
      Returns:
        a new or existing instance of `ValidationType>`

    - #### removeValidation

          DatasourceType<T> removeValidation()

      Removes the `validation` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateTimeout

          TimeoutType<DatasourceType<T>> getOrCreateTimeout()

      If not already created, a new `timeout` element with the given value will be created. Otherwise, the existing `timeout` element will be returned.
      Returns:
        a new or existing instance of `TimeoutType>`

    - #### removeTimeout

          DatasourceType<T> removeTimeout()

      Removes the `timeout` element
      Returns:
        the current instance of `DatasourceType`

    - #### getOrCreateStatement

          StatementType<DatasourceType<T>> getOrCreateStatement()

      If not already created, a new `statement` element with the given value will be created. Otherwise, the existing `statement` element will be returned.
      Returns:
        a new or existing instance of `StatementType>`

    - #### removeStatement

          DatasourceType<T> removeStatement()

      Removes the `statement` element
      Returns:
        the current instance of `DatasourceType`

    - #### jta

          DatasourceType<T> jta(java.lang.Boolean jta)

      Sets the `jta` attribute
      Parameters:
        `jta` - the value for the attribute `jta`
      Returns:
        the current instance of `DatasourceType`

    - #### isJta

          java.lang.Boolean isJta()

      Returns the `jta` attribute
      Returns:
        the value defined for the attribute `jta`

    - #### removeJta

          DatasourceType<T> removeJta()

      Removes the `jta` attribute
      Returns:
        the current instance of `DatasourceType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)